GeoTessCPP: geotess::GeoTessInterpolatorType Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
geotess::GeoTessInterpolatorType Class Reference

Enumeration of the interpolation algorithms supported by GeoTess including LINEAR, NATURAL_NEIGHBOR and CUBIC_SPLINE. More...

`#include <GeoTessInterpolatorType.h>`

Inheritance diagram for geotess::GeoTessInterpolatorType:

## Public Member Functions
virtual | ~GeoTessInterpolatorType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const GeoTessInterpolatorType * | valueOf (const string &s)
static GeoTessInterpolatorType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const GeoTessInterpolatorType | LINEAR
static const GeoTessInterpolatorType | NATURAL_NEIGHBOR
static const GeoTessInterpolatorType | CUBIC_SPLINE
static const GeoTessInterpolatorType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of the interpolation algorithms supported by GeoTess including LINEAR, NATURAL_NEIGHBOR and CUBIC_SPLINE.

An enum list of all the different types of interpolation that GeoTess knows how to perform. Includes both 2D interpolation algorithms that will be applied to vertices in the 2D grid, and 1D interpolation algorithms that will be applied to nodes distributed along radial profiles.

Author
  sballar

Definition at line 73 of file GeoTessInterpolatorType.h.

## Constructor & Destructor Documentation

## ◆ ~GeoTessInterpolatorType()

virtual geotess::GeoTessInterpolatorType::~GeoTessInterpolatorType | ( |  | ) |
| inlinevirtual

Standard Destructor.

Definition at line 141 of file GeoTessInterpolatorType.h.

## Member Function Documentation

## ◆ size()

static int geotess::GeoTessInterpolatorType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

Definition at line 161 of file GeoTessInterpolatorType.h.

## ◆ valueOf()

static const GeoTessInterpolatorType* geotess::GeoTessInterpolatorType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters

  s | The input string for which a match in array is returned (or null).

Returns
  The match of s in the names of array or null if one was not found.

Definition at line 150 of file GeoTessInterpolatorType.h.

## ◆ values()

static GeoTessInterpolatorType const* const* const geotess::GeoTessInterpolatorType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

Definition at line 156 of file GeoTessInterpolatorType.h.

## Member Data Documentation

## ◆ aArray

const GeoTessInterpolatorType* geotess::GeoTessInterpolatorType::aArray[]
| static

The array containing all enums declared above.

Definition at line 136 of file GeoTessInterpolatorType.h.

## ◆ CUBIC_SPLINE

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::CUBIC_SPLINE
| static

Definition at line 131 of file GeoTessInterpolatorType.h.

## ◆ LINEAR

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::LINEAR
| static

The actual enums for this type.

Definition at line 129 of file GeoTessInterpolatorType.h.

## ◆ NATURAL_NEIGHBOR

const GeoTessInterpolatorType geotess::GeoTessInterpolatorType::NATURAL_NEIGHBOR
| static

Definition at line 130 of file GeoTessInterpolatorType.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessInterpolatorType.h